# companyUpdate

Update company details

**Scope required:** admin:write

For a complete list of input attributes see the [CompanyAttributes](/developer/api-reference/types/companyattributes.md) type

```graphql
mutation companyUpdate ($attributes: CompanyAttributes!) {
  companyUpdate (attributes: $attributes) {
      company {
        createdAt
        defaultRoleId
        engineeringContactEmail
        inactivityTimeout
        migrationMode
        name
        outboundEmailsEnabled
        samlIssuer
        samlSignatureCertificate
        samlSsoUrl
        ssoEnabled
        ssoGoogleEnabled
        updatedAt
        whitelistedOrigin
      }
      errors
  }
}
```

## Arguments

```json
{
  "attributes": {
    "name": "",
    "engineeringContactEmail": "",
    "inactivityTimeout": 123,
    "ssoEnabled": true,
    "ssoGoogleEnabled": true,
    "samlSsoUrl": "",
    "samlIssuer": "",
    "samlSignatureCertificate": "",
    "defaultRoleId": "456123",
    "ssoMode": "SsoMode",
    "baseCurrencyId": "",
    "outboundEmailsEnabled": true,
    "whitelistedOrigin": "",
    "migrationMode": true
  }
}
```

| Name       | Type                                                                     | Description |
| ---------- | ------------------------------------------------------------------------ | ----------- |
| attributes | [CompanyAttributes](/developer/api-reference/types/companyattributes.md) |             |

## Response

| Name    | Type                                                 | Description |
| ------- | ---------------------------------------------------- | ----------- |
| company | [Company](/developer/api-reference/types/company.md) |             |
| errors  | String                                               |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/companyupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
